Update a link
curl --request PUT \
--url https://linkryse.com/v1/links/{linkId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"archived": true,
"tags": [
{}
]
}
'import requests
url = "https://linkryse.com/v1/links/{linkId}"
payload = {
"url": "<string>",
"archived": True,
"tags": [{}]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', archived: true, tags: [{}]})
};
fetch('https://linkryse.com/v1/links/{linkId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Links API
Update a link
Update an existing link’s configuration.
PUT
/
v1
/
links
/
{linkId}
Update a link
Path Parameters
string
required
The unique identifier of the link.
Body Parameters
string
The new destination URL.
boolean
Whether the link should be archived.
array
The new set of tags. Note: This overwrites existing tags.
Code Examples
cURL
curl --request PUT \
--url https://linkryse.com/v1/links/link_123 \
--header 'Authorization: Bearer sk_live_...' \
--header 'Content-Type: application/json' \
--data '{
"url": "https://bing.com",
"archived": true
}'
Node.js
const updatedLink = await linkryse.links.update('link_123', {
url: 'https://bing.com',
archived: true
});
⌘I